# eventutilities stream_manager default config for tests
stream_manager:
  schema_uris:
    - ../event-schemas/primary/jsonschema
  # Path relative to this config file.
  stream_config_uri: stream_config.json

  # Connector options like uris paths
  # are to be filled in by test fixtures.
  source:
    connector: file # Consume from a local filesystem path
    stream: {{ cookiecutter.project_name }}.source:1.0.0 # Fully qualified stream descriptor (<name:schema_version>)
    #options:
      #uris: null # A list of input files in JSON Lines format. Set from pytest fixture (see. conftest.py)
  sink:
    connector: file # Produce into a local filesystem path
    stream: {{ cookiecutter.project_name }}.sink:1.0.0 # Fully qualified stream descriptor (<name:schema_version>)
    #options:
      #uri: null # Input path. Set from pytest fixture (see. conftest.py)
  error_sink:
    connector: file # Produce into a local filesystem path
    stream: {{ cookiecutter.project_name }}.error:1.0.0 # Fully qualified stream descriptor (<name:schema_version>)
    #options:
      #uri: null # Input path. Set from pytest fixture (see. conftest.py)

  # Need to set batch size to 1 in workers to make sure all batches are processed
  # before tests close.
  process_batch_size_default: 1
  process_max_workers_default: 2

